#include <iostream>
using namespace std;
char tabla[11][11];
int main(){
    int N, M;
    cin>>N>>M;
    for(int i=1; i<=N; i++){
        for(int j=1; j<=M; j++){
            cin>> tabla[i][j];
        }
    }
    cout<< -1 <<endl;
    return 0;
}